Bug 838870 - Review Request: rubygem-therubyracer - Embed the V8 Javascript interpreter into Ruby
Review Request: rubygem-therubyracer - Embed the V8 Javascript interpreter in...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On: 838801
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 06:27 EDT by Bohuslav "Slavek" Kabrda
Modified: 2012-07-16 02:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-16 02:11:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
vondruch: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2012-07-10 06:27:36 EDT
Spec URL: http://bkabrda.fedorapeople.org/pkgs/therubyracer/rubygem-therubyracer.spec
SRPM URL: http://bkabrda.fedorapeople.org/pkgs/therubyracer/rubygem-therubyracer-0.11.0-0.1.beta5.fc17.src.rpm
Description:
Call javascript code and manipulate javascript objects from ruby. Call ruby
code and manipulate ruby objects from javascript.
Fedora Account System Username: bkabrda
Comment 1 Vít Ondruch 2012-07-10 06:35:52 EDT
I'll take it for a review
Comment 2 Vít Ondruch 2012-07-10 07:59:14 EDT
* Rename %{fedorarel} to %{release}
  - Not a show stopper, but the %{release} macro is supported by rpmdev-bumpspec,
    so the updated release is not appended at the end of Release string.

* The "Rakefile shouldn't be executable" comment is misleading
  - Since the file is not executable, but you are just removing shebang

Nonetheless, these are just minor nits, so I'll approve the package as soon as the rubygem-ref is available in the Rawhide and I'll be able to test the Koji build (it builds just fine locally).
Comment 3 Bohuslav "Slavek" Kabrda 2012-07-12 01:57:54 EDT
(In reply to comment #2)
> * Rename %{fedorarel} to %{release}
>   - Not a show stopper, but the %{release} macro is supported by
> rpmdev-bumpspec,
>     so the updated release is not appended at the end of Release string.
> 

Ah, yes. Will do before commiting to dist-git.

> * The "Rakefile shouldn't be executable" comment is misleading
>   - Since the file is not executable, but you are just removing shebang
> 

You are right, I will fix that as well

> Nonetheless, these are just minor nits, so I'll approve the package as soon
> as the rubygem-ref is available in the Rawhide and I'll be able to test the
> Koji build (it builds just fine locally).

Here is the koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4235854
Comment 4 Vít Ondruch 2012-07-12 02:01:26 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > Nonetheless, these are just minor nits, so I'll approve the package as soon
> > as the rubygem-ref is available in the Rawhide and I'll be able to test the
> > Koji build (it builds just fine locally).
> 
> Here is the koji build:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4235854

Great, thank you. All my concerns are gone now => APPROVED
Comment 5 Bohuslav "Slavek" Kabrda 2012-07-12 02:03:46 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: rubygem-therubyracer
Short Description: Embed the V8 Javascript interpreter into Ruby
Owners: bkabrda
Branches: 
InitialCC:
Comment 6 Jon Ciesla 2012-07-14 22:42:49 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.